Planet    "Minecraft Mercury"
{
     ParentBody     "Minecraft Sun"
     Class        "Selena"

	Mass 0.4449032206 //Real
	 Radius          6901.362186 //Real
	 Gravity 0.38
    InertiaMoment   0.3283256
         
     Oblateness  0
     
	Obliquity       7.01
	EqAscendNode    48.42

	Albedo          0.068
	AlbedoBond      0.068
	AlbedoGeom	    0.142
	Brightness      4 // 2.3

     Albedo          0.367

	Color  (1.0 0.97 0.94)

     Surface
     {
          BumpHeight      0.255     
          BumpOffset      0

	// Elevation map author: Sean Young "HarbingerDawn"
	BumpMap        "Mercury/Bump-HD"
	BumpTileSize    258
	BumpTileBorder  1
     }

     NoClouds true
     
     NoOcean true

     NoAtmosphere true

     NoAurora        true

     NoRings         true

     NoCometTail     true

     Orbit
     {
      RefPlane       "Ecliptic"
	Period            0.003344444004929328 //0.2408*0.01388888706366
	Eccentricity    0.2056
	Inclination     7.0049
	AscendingNode   48.33167
	LongOfPericen   77.456
	MeanLongitude   252.251
	ArgOfPeriPreces 227000 // period of precession in years
     }
}

Planet    "Minecraft Venus"
{
     ParentBody     "Minecraft Sun"
     Class        "Desert"

	 Mass 6.540352358 //Real
	 Radius          17117.63644 //Real
    InertiaMoment   0.3283256
         
     Oblateness  0
     
	Obliquity       178.78
	EqAscendNode    300.22

	Albedo          0.90
	AlbedoBond      0.90
	AlbedoGeom      0.67
	Brightness      1.9
	Color  (0.35 0.35 0.35) 

     Surface
     {
        BumpHeight      0.255     
        BumpOffset      0

		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Venus/Bump-SE"
		BumpTileSize    258
		BumpTileBorder  1
     }

     Clouds
     {
      	Height 0.255
		Velocity -264
     }
     
     NoOcean true

     Atmosphere
	{
		Height      565.6854251		// km
		Greenhouse  500		// degrees K
		Pressure    92		// atm
		Density     71.4	// kg/m^3
		Model      "Venus"
		Bright      10.0
		Opacity     1.0
		SkyLight    3.0
		
		Composition // values in percent
		{
			CO2 96.5
			N2  3.5
			SO2 0.015
			Ar  0.007
			H2O 0.002
		}
	}

     NoAurora        true

     NoRings         true

     NoCometTail     true

     Orbit
     {
     RefPlane       "Ecliptic"
	Period   0.008544443321563632 //0.6152*0.01388888706366
	Eccentricity    0.0068
	Inclination     3.3947
	AscendingNode   76.681
	LongOfPericen   131.533
	MeanLongitude   181.979
     }
}

Planet	"Minecraft Mars"
{
	ParentBody     "Minecraft Sun"
	Class          "Desert"
	
	Life
     {
      Class   "Exotic"
      Type    "Multicellular"
      Biome   "Terrestrial"
     }

	Mass 0.861930824 //Real
	 Radius          9605.904203 //Real
	Gravity 0.38
	Oblateness      0

	RotationPeriod  0.3333333333
	Obliquity       26.72
	EqAscendNode    82.91
	//PoleRA          317.681
	//PoleDec         52.886
	//ZeroMeridian    176.753

	Color         ( 1.000 0.750 0.700 )
	Albedo          0.25
	AlbedoBond      0.25
	AlbedoGeom      0.15
	Brightness      2.0 // 1.5

	Surface
	{
		BumpHeight      0.255
		BumpOffset      0

		BumpMap        "Mars/Bump-PBC"
		BumpTileSize    258
		BumpTileBorder  1
		Hapke           0.7
		SpotBright      8.0		// zero phase glare bright
		SpotWidth       0.05	// zero phase glare width
	}

	Clouds
	{
		// Clouds map author: Sean Young "HarbingerDawn"
		DiffMap        "Mars/Clouds-water-HD"
		DiffTileSize    258
		DiffTileBorder  1
		ModulateColor  (1.0 1.0 1.0 0.2)
		Hapke           0.2
		SpotBright      0.0
		Height          0.255
	}

	Clouds
	{
		// Clouds map author: Sean Young "HarbingerDawn"
		DiffMap        "Mars/Clouds-dust-HD"
		DiffTileSize    258
		DiffTileBorder  1
		ModulateColor  (0.50 0.42 0.27 1.0)
		Hapke           0.2
		SpotBright      0.0
		Height          0.255
	}

	NoAurora    true

	Atmosphere
	{
		Height      37.3523805	// km
		Greenhouse  5		// degrees K
		Pressure    0.012	// 0.012 atm at lowest surface point
		Density     0.01	// kg/m^3
		Model      "Mars"
		Bright      4.0
		Opacity     1.0
		SkyLight    2.0
		
		Composition // values in percent
		{
			CO2 95.97
			Ar  1.93
			N2  1.89
			O2  0.146
			CO  0.0557
		}
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period       0.026123607678038094 //1.8809*0.01388888706366
		Eccentricity    0.0934
		Inclination     1.8506
		AscendingNode   49.479
		LongOfPericen   336.041
		MeanLongitude   355.453
	}
}

DwarfMoon	"Minecraft Phobos"
{
	ParentBody     "Minecraft Mars"
	Class          "Asteroid"

	Radius          26.5225487
	Mass            1.435157442e-8

	Albedo          0.02
	AlbedoBond      0.02
	AlbedoGeom      0.07
	Brightness      1.5

	Surface
	{
		BumpHeight      0.255
		BumpOffset      0
		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Phobos/Bump-SE"
		BumpTileSize    258
		BumpTileBorder  1

		Hapke           1.0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		RefPlane       "Equator"
		Period          0.0008731466408
		Eccentricity    0.0151
		Inclination     1.075
		AscendingNode   128.694
		ArgOfPericen    213.804
		MeanAnomaly     191.771
	}
}

DwarfMoon	"Minecraft Deimos"
{
	ParentBody     "Minecraft Mars"
	Class          "Asteroid"

	Radius          19.23254603
	Mass            1.985969264e-8

	Albedo          0.02
	AlbedoBond      0.02
	AlbedoGeom      0.08
	Brightness      1.2

	Surface
	{
		BumpHeight      0.255
		BumpOffset      0
		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Deimos/Bump-SE"
		BumpTileSize    258
		BumpTileBorder  1

		Hapke           1.0
	}

	Orbit
	{
		RefPlane       "Equator"
		Period          0.003456448899
		Eccentricity    0.00033
		Inclination     1.793
		AscendingNode   25.229
		ArgOfPericen    208.213
		MeanAnomaly     344.128
	}
}

Planet	"Minecraft Jupiter"
{
	ParentBody     "Minecraft Sun"
	Class          "GasGiant"

	Mass            2551.677511
	Radius          197738.1687
	Oblateness      0

	RotationPeriod  9.92425
	RotationOffset  305.4
	Obliquity       2.222461
	EqAscendNode   -22.203

	Albedo          0.343 
	AlbedoBond      0.343 
	AlbedoGeom      0.52
	Brightness      2.0

	Surface
	{
		// Surface map author: John van Vliet
		DiffMap        "Jupiter/Surface-JVV"
		DiffTileSize    256
		DiffTileBorder  0
		DayAmbient      0
	}

	NoClouds true

	Atmosphere
	{
		Height   848.5281376	// km
		Model   "Jupiter"
		Bright   2.0
		Opacity  0.0
		SkyLight 0.0
		
		Composition // values in percent
		{
			H2   89.8
			He   10.2
			CH4  0.3
			NH3  0.026
			C2H6 0.0006
		}
	}

	Rings
	{
		Texture         "Jupiter-rings.*"
		InnerRadius     289065.2522
		OuterRadius     642052.9575
		FrontBright     0.03
		BackBright      1.0
		Density         0.03
		Brightness      2.0
	}
	
	NoCometTail     true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period   0.164752756126547652 //11.8622*0.01388888706366
		Eccentricity    0.0484
		Inclination     1.3053
		AscendingNode   100.556
		LongOfPericen   14.7539
		MeanLongitude   34.404
	}
}

Moon	"Minecraft Io"
{
	ParentBody     "Minecraft Jupiter"
	Class          "Selena"

	Mass            0.1198637081
	Radius          5152.251332

	Color         ( 0.569 0.471 0.388 )
	Albedo          0.61
	Brightness      3.0

	Surface
	{
		// Surface map author: Robert Skuridin "PBC"
		DiffMap        "Io/Surface-PBC"
		DiffTileSize    258
		DiffTileBorder  1
		DiffMapAlpha   "None"

		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Io/Bump-fake-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      0.255
		BumpOffset      0

		// Lights map author: Vladimir Romanyuk "SpaceEngineer"
		GlowMap        "Io/Lights-SE"
		GlowTileSize    258
		GlowTileBorder  1
		GlowMode       "Permanent"

		Hapke           1.0
	}

	NoLava true

	Atmosphere
	{
		Height      197.9898988		// km
		Pressure    1e-9
		Model      "Sun"
		Bright      1.0
		Opacity     0.0
		SkyLight    0.0
		
		Composition // values in percent
		{
			SO2  90.66
			SO   9.066
			NaCl 0.274
		}
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2443000
		Period         0.004843739305
		Eccentricity   0.0041
		Inclination    0.04
		AscendingNode  312.981
		LongOfPericen  97.735
		MeanLongitude  106.724
	}
}

Moon	"Minecraft Europa"
{
	ParentBody     "Minecraft Jupiter"
	Class          "IceWorld"

	Mass            0.06442173209
	Radius          4414.591819

	Color         ( 0.745 0.718 0.655 )
	Albedo          0.64
	Brightness      2.4

	Surface
	{
		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Europa/Bump-fake-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight		0.255
		BumpOffset		0.0

		Hapke           0.5
	}

	NoAtmosphere    true
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2443000
		Period         0.009724533474
		Eccentricity   0.0101
		Inclination    0.47
		AscendingNode  101.087
		LongOfPericen  155.512
		MeanLongitude  176.377
	}
}

Moon	"Minecraft Ganymede"
{
	ParentBody     "Minecraft Jupiter"
	Class          "IceWorld"

	Mass            0.1988374556
	Radius          7442.080679

	Color         ( 0.529 0.478 0.424 )
	Albedo          0.42
	Brightness      2.0

	Surface
	{
		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Ganymede/Bump-fake-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      0.255
		BumpOffset      0.0

		Hapke           1.0
	}

	NoAtmosphere    true
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2443000
		Period         0.01958851688
		Eccentricity   0.0015
		Inclination    0.195
		AscendingNode  119.841
		LongOfPericen  188.831
		MeanLongitude  121.206
	}
}

Moon	"Minecraft Callisto"
{
	ParentBody     "Minecraft Jupiter"
	Class          "IceWorld"

	Mass            0.1444101118
	Radius          6817.352165

	Color         ( 0.369 0.322 0.271 )
	Albedo          0.2
	Brightness      2.0

	Surface
	{
		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Callisto/Bump-fake-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      0.255
		BumpOffset      0.0

		Hapke           1.0
	}

	Atmosphere
	{
		Height      36
		Pressure    2e-10
		Greenhouse  0
		Model      "Sun"
		Bright      0.4
		
		Composition // values in percent
		{
			O2  96.25
			CO2 3.75
		}
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2443000
		Period         0.04569301685
		Eccentricity   0.007
		Inclination    0.281
		AscendingNode  323.265
		LongOfPericen  335.933
		MeanLongitude  85.091
	}
}

Planet	"Minecraft Saturn"
{
	ParentBody     "Minecraft Sun"
	Class          "GasGiant"

	Mass            762.8172771
	Radius          164704.9684
	Oblateness      0.09796

	RotationPeriod  10.65622
	RotationOffset  358.922
	Obliquity       28.049
	EqAscendNode    169.53

	Color         ( 1.000 1.000 0.850 )
	Albedo          0.342
	AlbedoBond      0.342
	AlbedoGeom      0.47
	Brightness      1.8

	Surface
	{
		// Surface map author: Bjorn Jonsson
		DiffMap        "Saturn/Surface-BJ"
		DiffTileSize    256
		DiffTileBorder  0
		DayAmbient      0
	}

	NoClouds     true

	Atmosphere
	{
		Height   707.1067813		// km
		Model   "Earth" //"Saturn"
		Bright   5.0
		Opacity  0.2
		SkyLight 0.002
		
		Composition // values in percent
		{
			H2   96.3
			He   3.25
			CH4  0.45
			NH3  0.0125
			C2H6 0.0007
		}
	}

	Rings
	{
		// Rings texture author: Vladimir Romanyuk "SpaceEngineer"
		Texture        "Saturn-rings.*"
		InnerRadius     170508.9008
		OuterRadius     1009728.685
		FrontBright     1.0
		BackBright      5.0
		Brightness      1.5
	}
	
	NoCometTail true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period  0.409134668455177182 //29.4577*0.01388888706366
		Eccentricity    0.0542
		Inclination     2.4845
		AscendingNode   113.715
		LongOfPericen   92.432
		MeanLongitude   49.944
	}
}

Moon	"Minecraft Mimas"
{
	ParentBody     "Minecraft Saturn"
	Class          "IceWorld"

	Mass            4.962918751e-5
	Radius          572.0514346
	Oblateness      0.06

	Color         ( 1.000 0.840 0.773 )
	Albedo          0.75
	Brightness      2.5 // 4.0

	Surface
	{
		// Elevation map author: Vladimir Romanyuk "SpaceEngineer"
		BumpMap        "Mimas/Bump-fake-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      0.255
		BumpOffset	0.0

		Hapke           0.7
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.002580265369
		Eccentricity   0.0206
		Inclination    1.566
		ArgOfPericen   332.864
		AscendingNode  177.459
		MeanAnomaly    100.173
	}
}

Moon	"Minecraft Enceladus"
{
	ParentBody     "Minecraft Saturn"
	Class          "IceWorld"

	Mass            1.476047402e-4
	Radius          705.4038221

	Albedo          0.99
	AlbedoBond      0.99
	AlbedoGeom      1.4
	Brightness      4.0 // 4.4

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.003751532545
		Eccentricity   0.0001
		Inclination    0.01
		ArgOfPericen   334.689
		AscendingNode  137.077
		MeanAnomaly    162.044
	}
}

Moon	"Minecraft Tethys"
{
	ParentBody     "Minecraft Saturn"
	Class          "IceWorld"

	Mass            8.314291995e-4
	Radius          1498.789191

	Albedo          0.9
	Brightness      2.5 // 5.3

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0.0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.005168630569
		Eccentricity   0.0001
		Inclination    0.168
		ArgOfPericen   149.166
		AscendingNode  149.174
		MeanAnomaly    28.755
	}
}

Moon	"Minecraft Dione"
{
	ParentBody     "Minecraft Saturn"
	Class          "IceWorld"

	Mass            1.475245638e-3
	Radius          1581.088107

	Albedo          0.7
	Brightness      2.5 // 3.5

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0.0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.007493424911
		Eccentricity   0.0002
		Inclination    0.002
		AscendingNode  57.741
		ArgOfPericen   173.999
		MeanAnomaly    109.204
	}
}

Moon	"Minecraft Rhea"
{
	ParentBody     "Minecraft Saturn"
	Class          "IceWorld"

	Mass            3.086791146e-3
	Radius          2162.610592

	Albedo          0.7
	Brightness      2.5 // 3.6

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.01236850506
		Eccentricity   0.0009
		Inclination    0.327
		AscendingNode  1.095
		ArgOfPericen   205.869
		MeanAnomaly    109.204
	}
}

Moon	"Minecraft Titan"
{
	ParentBody     "Minecraft Saturn"
	Class          "Titan"

	Mass            0.174463832
	Radius          7282.967035

	Color         ( 0.960 0.805 0.461 )
	Albedo          0.21
	Brightness      1.45

	NoLife          true

	Surface
	{
		Randomize      (0.43 0.31 0.78)
		SurfStyle       0.4
		OceanStyle      0.7
		mareDensity     0.0
		craterMagn      0.1
		craterFreq      50.0
		craterDensity   0.15
		craterOctaves   6
		climatePole     1.0
		climateTropic   0.45
		climateEquator  0.625
		colorSea        (0.21 0.10 0.02 1.00)
		colorShelf      (0.21 0.10 0.02 1.00)
		colorBeach      (0.67 0.56 0.41 0.00)
		colorDesert     (0.59 0.47 0.32 0.00)
		colorLowland    (0.59 0.60 0.45 0.00)
		colorUpland     (0.58 0.46 0.31 0.00)
		colorRock       (0.78 0.66 0.57 0.00)
		colorSnow       (0.95 0.87 0.78 0.50)
		colorLowPlants  (0.59 0.60 0.45 0.00)
		colorUpPlants   (0.58 0.46 0.31 0.00)
		BumpHeight      0.255
		BumpOffset      0.0
		DiffMapAlpha   "Water"
	}

	Clouds
	{
		DiffMap        "Titan-clouds.*"
		DiffMapAlpha   "None"
		DayAmbient      0.3
		Height          0.255
	}

	Ocean
	{
		Height    0.062
	}

	Atmosphere
	{
		Height      565.6854251		// km
		Greenhouse  12		// degrees K
		Pressure    1.5		// atm
		Density     4.8		// kg/m^3
		Model      "Titan"
		//Bright      10.0
		//Opacity     1.0
		//SkyLight    3.0
		
		Composition // values in percent
		{
			N2  98.4
			CH4 1.4
			H2  0.2
		}
	}

	NoAurora    true
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.04365711574
		Eccentricity   0.0288
		Inclination    1.634
		AscendingNode  44.046
		ArgOfPericen   172.749
		MeanAnomaly    192.132
	}
}

Moon	"Minecraft Iapetus"
{
	ParentBody     "Minecraft Saturn"
	Class          "IceWorld"

	Mass            2.685909179e-3
	Radius          2030.773573

	Obliquity       15.5
	EqAscendNode    75.583

	Albedo          0.2
	Brightness      2.5

	Surface
	{
		// Elevation map author: Tristan Audam "Voekoevaka"
		BumpMap        "Iapetus/Bump-fake-VO"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      0.255
		BumpOffset	0

		Hapke           1.0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2451179.5
		Period         0.2171988423
		Eccentricity   0.0284
		Inclination    7.57
		AscendingNode  75.583
		ArgOfPericen   275.85
		MeanAnomaly    350.306
	}
}

Planet	"Minecraft Uranus"
{
	ParentBody     "Minecraft Sun"
	Class          "IceGiant"

	Mass            116.5713726
	Radius          71734.56875
	Oblateness      0.02293

	RotationPeriod  17.24
	RotationOffset  331.18
	Obliquity       97.81
	EqAscendNode    167.76

	Color         ( 0.750 0.850 1.000 )
	Albedo          0.30
	AlbedoBond      0.30
	AlbedoGeom      0.51
	Brightness      1.2

	Surface
	{
		DiffMap        "Uranus.*"
	}

	NoClouds    true

	Atmosphere
	{
		Height   848.5281376		// km
		Model   "Earth" //"Uranus"
		Bright   2.0
		Opacity  0.2
		SkyLight 0.002
		
		Composition // values in percent
		{
			H2  82.5
			He  15.2
			CH4 2.3
		}
	}

	Rings
	{
		Texture        "Uranus-rings.*"
		InnerRadius     111727.1141
		OuterRadius     151361.5806
	}
	
	NoCometTail true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period  1.166859568877624874 //84.0139*0.01388888706366
		Eccentricity    0.0472
		Inclination     0.7699
		AscendingNode   74.23
		LongOfPericen   170.964
		MeanLongitude   313.232
	}
}

Moon	"Minecraft Miranda"
{
	ParentBody     "Minecraft Uranus"
	Class          "IceWorld"

	Mass            8.819403273e-5
	Radius          666.942338

	Albedo          0.32
	Brightness      1.2

	Surface
	{

		// Elevation map author: Tristan Audam "Voekoevaka"
		BumpMap        "Miranda/Bump-fake-VO"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Period         0.003868665778
		Eccentricity   0.0027
		Inclination    4.22
		MeanAnomaly    120
	}
}

Moon	"Minecraft Ariel"
{
	ParentBody     "Minecraft Uranus"
	Class          "IceWorld"

	Mass            1.811986491e-3
	Radius          1637.373206

	Albedo          0.39
	Brightness      2.25

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Period         0.006899531325
		Eccentricity   0.0034
		Inclination    0.31
		MeanAnomaly    56
	}
}

Moon	"Minecraft Umbriel"
{
	ParentBody     "Minecraft Uranus"
	Class          "IceWorld"

	Mass            1.57145731e-3
	Radius          1653.771653

	Albedo          0.21
	Brightness      1.25

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Period         0.01134589596
		Eccentricity   0.005
		Inclination    0.36
		MeanAnomaly    280
	}
}

Moon	"Minecraft Titania"
{
	ParentBody     "Minecraft Uranus"
	Class          "IceWorld"

	Mass            4.738424849e-3
	Radius          2231.379437

	Albedo          0.27
	Brightness      1.35

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Period         0.02383623798
		Eccentricity   0.0022
		Inclination    0.1
		MeanAnomaly    30
	}
}

Moon	"Minecraft Oberon"
{
	ParentBody     "Minecraft Uranus"
	Class          "IceWorld"

	Mass            4.040890227e-3
	Radius          2153.626625

	Albedo          0.23
	Brightness      1.45

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Period         0.03686047231
		Eccentricity   0.0008
		Inclination    0.1
		MeanAnomaly    150
	}
}

Planet	"Minecraft Neptune"
{
	ParentBody     "Minecraft Sun"
	Class          "IceGiant"

	Mass            136.9847928
	Radius          69641.53269
	Oblateness      0.01708

	RotationPeriod  16.11
	RotationOffset  228.65
	Obliquity       28.03
	EqAscendNode    49.235

	Color         ( 0.750 0.750 1.000 )
	Albedo          0.29 
	AlbedoBond      0.29 
	AlbedoGeom      0.41
	Brightness      1.07

	Surface
	{
		DiffMap        "Neptune.*"
	}

	NoClouds true


	Atmosphere
	{
		Height   848.5281376		// km
		Model   "Neptune"
		Bright   5.0
		Opacity  0.2
		SkyLight 0.2
		
		Composition // values in percent
		{
			H2   80
			He   19
			CH4  1.5
			C2H6 0.00015
		}
	}

	Rings
	{
		Texture        "Neptune-rings.*"
		InnerRadius     143403.3766
		OuterRadius     184968.5274
	}
	
	NoCometTail     true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period  2.28879136588172238 //164.793*0.01388888706366
		Eccentricity    0.0086
		Inclination     1.7692
		AscendingNode   131.722
		LongOfPericen   44.971
		MeanLongitude   304.88
	}
}

Moon	"Minecraft Proteus"
{
	ParentBody     "Minecraft Neptune"
	Class          "Asteroid"

	Radius          619.424726
	Mass            6.710764127e-5

	Albedo          0.061
	Brightness      1.5

	Surface
	{
		BumpHeight	0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2450085.5
		Period         0.003072796626
		Eccentricity   0.0005
		Inclination    1.09
		AscendingNode  330.943
		ArgOfPericen   267.246
		MeanAnomaly    213.916
	}
}

Moon	"Minecraft Triton"
{
	ParentBody     "Minecraft Neptune"
	Class          "IceWorld"

	Radius          3827.927907
	Mass            0.02818200228

	Albedo          0.756 // geometric
	Brightness      2.5

	Surface
	{
		BumpHeight	0.0255 //0.255
		BumpOffset	0
	}

	Clouds
	{
		Height          0.255
		BumpHeight      0
		Hapke           0.2
		SpotBright      2
		SpotWidth       0.15
		DayAmbient      2
		ModulateColor  (5.000 5.000 5.000 0.050)
		mainFreq        1.5
		mainOctaves     6
		cycloneDensity  0
		Coverage        0.02
		twistZones      1.0
		twistMagn       1.0
	}

	Atmosphere
	{
		Height      169.7056275  // km
		Pressure    1.9e-5
		Greenhouse  0
		Model      "Sun" //"Triton"
		Bright      2.2
		Opacity     0.2
		SkyLight    0.01
		
		Composition // values in percent
		{
			N2  99.82
			CO  0.126
			CH4 0.053
		}
	}

	NoAurora true
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2447763.5
		Period         0.01609029324
		Eccentricity   2.285e-005
		Inclination    156.82624
		AscendingNode  147.899288
		ArgOfPericen   293.0924
		MeanAnomaly    315.726316
	}
}

Moon	"Minecraft Nereid"
{
	ParentBody     "Minecraft Neptune"
	Class          "Asteroid"

	Radius          480.8407108
	Mass            4.161154817e-5

	Albedo          0.155
	Brightness      2.4

	Surface
	{
		BumpHeight	0.255
		BumpOffset	0
	}
	
	NoRings         true
	NoCometTail     true

	Orbit
	{
		Epoch          2447763.5
		Period         0.986020208
		Eccentricity   0.7512
		Inclination    28.385
		AscendingNode  190.678
		ArgOfPericen   17.69
		MeanAnomaly    36.056
	}
}

Barycenter "Minecraft Pluto-Minecraft Charon"
{
	ParentBody     "Minecraft Sun"
	Orbit
	{
		RefPlane       "Ecliptic"
		Period 3.4519439908020564 //248.54*0.01388888706366
		Eccentricity    0.24880766
		Inclination     17.14175
		AscendingNode   110.30347
		LongOfPericen   224.06776
		MeanLongitude   238.92881
	}
}

DwarfPlanet	"Minecraft Pluto"
{
	ParentBody     "Minecraft Pluto-Minecraft Charon"
	Class          "IceWorld"
	AsterType      "Plutino"

	Mass            0.01751854196
	Radius          3351.66938

	RotationPeriod  153.29389971661
	Obliquity       112.783
	EqAscendNode    223.0539
        RotationOffset  45
	TidalLocked     true

	// Color          (0.580 0.435 0.333) // (0.443 0.392 0.310)
	Albedo          0.6
	AlbedoBond      0.5 
	AlbedoGeom      0.6
	Brightness      3.0
	AbsMagn        -0.8
	SlopeParam      0.15

	Surface
	{
		BumpHeight      0.0255 //0.255
		BumpOffset	0

		Hapke           1.0
	}

	Atmosphere
	{
		Height      848.5281376 // km
		Pressure    1e-5
		Greenhouse  0
		Model      "Pluto"
		Bright      2.0
		Opacity     0.15
		SkyLight    0.01
		
		Composition // values in percent
		{
			N2   99.7
			CH4  0.25
			CO   0.05
			C2H2 3e-6
			C2H4 1e-6
		}
	}

	NoAurora true
	NoRings         true
	NoCometTail     true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period          0.01748769994
		Eccentricity    0.003484
		Inclination     112.783 //96.1680
		AscendingNode   223.0539
		ArgOfPericen    337.92
		MeanAnomaly     56.9861
	}
}

Moon	"Minecraft Charon"
{
	ParentBody     "Minecraft Pluto-Minecraft Charon"
	Class          "IceWorld"

	Mass            2.036480392e-3
	Radius          1677.259858

	RotationPeriod  153.29389971661
	Obliquity       112.783
	EqAscendNode    223.0539
        RotationOffset  175
	TidalLocked     true

	// Color          (0.500 0.435 0.408) // (0.541 0.502 0.475)
	Albedo          0.35
	Brightness      3.3

	Surface
	{
		BumpHeight      0.0255 //0.255
		BumpOffset	0
		Hapke           1.0
	}

	NoAurora true
	NoRings         true
	NoCometTail     true

	Orbit
	{
		RefPlane       "Ecliptic"
		Period          0.01748769994
		Eccentricity    0.003484
		Inclination     112.783
		AscendingNode   223.0539
		ArgOfPericen    157.92
		MeanAnomaly     56.9861
	}
}